Bug 668204

Summary: Review Request: buzzbird - Twitter and identi.ca desktop client
Product: [Fedora] Fedora Reporter: Jan Klepek <jan.klepek>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jrb, mario.blaettermann, notting, package-review
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-27 04:29:49 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Jan Klepek 2011-01-08 18:45:31 EST
Spec URL: http://hpejakle.fedorapeople.org/packages/buzzbird.spec
SRPM URL: http://hpejakle.fedorapeople.org/packages/buzzbird-0.9.1-1.fc13.src.rpm
Description: 
Free and Open Source twitter and identi.ca client, supporting:
- Multiple Account Support
- Desktop notifications
- Service filtering
- Conversation views
- Selective filter views (can choose Timeline, @mentions, direct mentions)
- Re-tweet, Reply, Un-follow, and Favorite button on each Tweet
- Built-in URL Shortening (currently via is.gd)
- Read/Unread count in status bar
Comment 1 Jan Klepek 2011-01-08 18:55:16 EST
rpmlint output: 
buzzbird.noarch: W: spelling-error Summary(en_US) identi -> identic, identify, identity
buzzbird.noarch: W: spelling-error %description -l en_US identi -> identic, identify, identity
buzzbird.noarch: W: spelling-error %description -l en_US gd -> dg, Gd, hd
buzzbird.src: W: spelling-error Summary(en_US) identi -> identic, identify, identity
buzzbird.src: W: spelling-error %description -l en_US identi -> identic, identify, identity
buzzbird.src: W: spelling-error %description -l en_US gd -> dg, Gd, hd
buzzbird.src: W: invalid-url Source0: buzzbird-0.9.1.tar.gz

spelling errors are false positive, and upstream does not provide any URL to source packages, they are fetched from git.

scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2709978
Comment 2 Christopher Aillon 2011-02-16 15:43:17 EST
* Your source tarball includes a few binary files including a windows EXE file that need to get stripped.  Also, if you're creating the source tarball yourself, please consider using bzip2 or xz, which will offer better compression (smaller tarballs).

* I looked at application.ini which claims

[Gecko]
MinVersion=1.8
MaxVersion=1.9.2.*

So please have your spec
  Requires: gecko-libs >= 1.8
  Requires: gecko-libs <  1.9.3

* If you're creating a .desktop file from scratch, just save it in its own file, and include it as a Source2, like you're doing with the man page.  And send both to upstream so they can include them in the future.

* Is the extensions a Firefox extension?  Based on extensions/install.rdf it appears to be since it uses Firefox's Application ID.  If so, it needs to be installed into %{_libdir}/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/ and perhaps subpackaged?  But unless I'm missing something, it's just a noop now, and can probably get dropped?
Comment 3 Jan Klepek 2011-03-08 03:34:36 EST
Hi,

1] buzzbird.exe is not present in final rpm, so what's your point?
2] requires gecko - done
3] desktop file: for me it is easy to maintain it in spec file, changed to source2
4] firefox extension: i will check, not sure about it
Comment 4 Christopher Aillon 2011-03-08 09:58:56 EST
(In reply to comment #3)
> 1] buzzbird.exe is not present in final rpm, so what's your point?

We ship the SRPM too.
Comment 5 Jan Klepek 2011-03-08 10:49:03 EST
(In reply to comment #4)
> (In reply to comment #3)
> > 1] buzzbird.exe is not present in final rpm, so what's your point?
> 
> We ship the SRPM too.

I'm aware of that, but existence of .exe file does not affect anybody anyhow. It is just sitting there and doing nothing. Just like .bat file there and other files which are not relevant for fedora. If I would like to exclude all of them, it will lead to script which has to be checked/modified every release. Packaging guidelines does not say that source tarball has to contain only files relevant to Fedora. If you are concerned about size, I could switch to newly created tarballs from upstream which are even bigger (as they have xulrunner inside).
Comment 7 Jan Klepek 2011-03-09 15:16:46 EST
this does not apply to source tarball as far as I know, no bundled/pre-compiled binary file is present in final rpm.
Comment 9 Mario Bl├Ąttermann 2011-05-08 12:28:21 EDT
(In reply to comment #7)
> this does not apply to source tarball as far as I know, no bundled/pre-compiled
> binary file is present in final rpm.

But you have to make sure that no one of the prebuilt binaries will be used during the build process. Otherwise, the resulting binaries would be affected by these libraries anyway. The solution is to remove the binaries before you do anything in your package. If it doesn't build anymore, we have a problem. If it builds properly again, then we know that all is OK.
Comment 10 Jan Klepek 2011-05-09 03:26:11 EDT
(In reply to comment #9)
> (In reply to comment #7)
> > this does not apply to source tarball as far as I know, no bundled/pre-compiled
> > binary file is present in final rpm.
> 
> But you have to make sure that no one of the prebuilt binaries will be used
> during the build process. Otherwise, the resulting binaries would be affected
> by these libraries anyway. The solution is to remove the binaries before you do
> anything in your package. If it doesn't build anymore, we have a problem. If it
> builds properly again, then we know that all is OK.

Which is not case of this review request...due to fact that %build is empty.
Comment 11 Christopher Aillon 2011-05-09 16:50:20 EDT
Sure, but you're generating the source tarball anyway, stripping out the binary cruft isn't that much more difficult and would probably make reviewers happier (at least it would make me happier).

Anyway, a note that due to the gecko requires, this will not work on F15 or newer.
Comment 12 Jason Tibbitts 2012-04-25 19:52:29 EDT
While this still builds, it will not install on any Fedora version I tried due to the depenency on gecko-libs < 1.9.3.  Marking as not ready for review; please clear the whiteboard if providing a package which will work on a current Fedora version.
Comment 13 Mario Bl├Ąttermann 2012-08-26 17:20:17 EDT
The latest commits to Buzzbird's Git repo [1] are older than two years, that's why we can safely assume that upstream is dead. I don't expect to get a working package in Fedora ever, because we can't screw down the gecko-libs version. This review request should either be closed as FE-DEADREVIEW or we need an additional gecko-libs < 1.9.3 which installs parallel to the current one.

[1] https://github.com/mdesjardins/buzzbird